My Oracle Support Banner

Upgrade For BRM 7.5.0.22.0 To BRM 12 Patch Set 3 Interim Patch 3 (Doc ID 2738816.1)

Last updated on OCTOBER 28, 2021

Applies to:

Oracle Communications Billing and Revenue Management - Version 7.5.0.22.0 and later
Information in this document applies to any platform.

Goal

Qn1:On Oracle Communications Billing and Revenue Management (BRM) 7.5.0.22.0 (7.5 PS22) version, Upgrade

Qn1:
-----------------
Is there feasibility for upgrading BRM 7.5 PS22 TO CLOUD NATIVE BRM 12 PS 3 ?
 
Qn2:
-------------
For Cloud Native deployment of BRM, Oracle documentation section (https://docs.oracle.com/cd/E51000_01/doc.120/f20136/brm-cloud-native-deployment-software-compatibility.htm#BRMCM-GUID-4DFAF89E-20E8-4A82-BF32-2E2D3E14A7E1) mentions that BRM 12 Patch set 3 Interim <Patch 31848465> supports
• Kubernetes 1.16.x
• Help 3.2.4
So these are the versions of Kubernetes and Helm that we have used in an instance.

But, the below software compatibility section of Offline Mediation Controller(OCOMC) has no mention of these versions, or Interim Patch 31848465.

https://docs.oracle.com/cd/E51000_01/doc.120/f20136/offline-mediation-controller-cloud-native-deployment-software-compatibility.htm#BRMCM-GUID-0097D59D-2A8A-4829-A37C-84AEC99ED7A8

It only mentions following versions:
• Kubernetes 1.14.8
• Help 3.0.1

Also Oracle support forum mentions Interim Patch 3 and has a release of OCOMC, which is going to work with the same versions of Helm and Kubernetes as BRM PS3 Interim <Patch 31848465>.

So does OCOMC support Kubernetes 1.16.8 and Helm 3.2.4?

Solution

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Goal
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.